> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP

> Verifies the login OTP. If logging in via ABHA address, this endpoint also completes the login process.



## OpenAPI

````yaml post /abdm/na/v1/profile/login/verify
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/profile/login/verify:
    post:
      summary: Verify OTP
      description: >-
        Verifies the login OTP. If logging in via ABHA address, this endpoint
        also completes the login process.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhrVerifyLoginOTPRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhrVerifyLoginOTPResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    PhrVerifyLoginOTPRequest:
      properties:
        otp:
          description: Otp received in the user mobile no.
          type: string
        txn_id:
          description: Transaction id received in the previous api response
          type: string
      type: object
    PhrVerifyLoginOTPResponse:
      properties:
        abha_profiles:
          description: Abha profiles of the user.
          items:
            $ref: '#/components/schemas/VerifyAbhaProfile'
          type: array
        eka:
          $ref: '#/components/schemas/RegistrationEkaIds'
        hint:
          type: string
        profile:
          $ref: '#/components/schemas/ProfileResponse'
          description: Profile of the user
        skip_state:
          description: Determines the next page navigation based on the skip state
          enum:
            - abha_select
            - abha_end
            - abha_create
          type: string
        txn_id:
          description: Transaction ID for the next api call.
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    VerifyAbhaProfile:
      properties:
        abha_address:
          type: string
        kyc_verified:
          type: string
        name:
          type: string
      type: object
    RegistrationEkaIds:
      properties:
        min_token:
          description: Minimum token required for authentication
          type: string
        oid:
          type:
            - 'null'
            - string
        uuid:
          type:
            - 'null'
            - string
      type: object
    ProfileResponse:
      properties:
        abha_address:
          description: Primary/preferred abha address.
          examples:
            - shyam@abdm
          type: string
        abha_addresses:
          description: List of abha addresses associated with aadhaar
          items:
            type: string
          type: array
        abha_number:
          description: ABHA number assigned to the user.
          examples:
            - 12-3456-7856-8912
          type:
            - 'null'
            - string
        address:
          description: Address of the user.
          type:
            - 'null'
            - string
        day_of_birth:
          description: Day of birth of the user.
          type:
            - 'null'
            - integer
        first_name:
          description: User's first name.
          type:
            - 'null'
            - string
        gender:
          description: Gender of the user (M - Male, F - Female, O - Other).
          enum:
            - M
            - F
            - O
          examples:
            - M
          type: string
        kyc_verified:
          description: Indicates whether the user’s KYC is verified.
          type:
            - 'null'
            - boolean
        last_name:
          description: User's last name.
          type:
            - 'null'
            - string
        middle_name:
          description: User's middle name.
          type:
            - 'null'
            - string
        mobile:
          description: Mobile number of the user.
          type:
            - 'null'
            - string
        month_of_birth:
          description: Month of birth of the user.
          type:
            - 'null'
            - integer
        pincode:
          description: Pincode of the user's address.
          type:
            - 'null'
            - string
        year_of_birth:
          description: Year of birth of the user.
          type:
            - 'null'
            - integer
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````